/*
 * @Author: Billy
 * @Date: 2021-12-18 02:20:09
 * @LastEditors: Billy
 * @LastEditTime: 2022-01-07 16:40:08
 * @Description: 请输入
 */

import MenuItem from "../entity/Ui/Menu/MenuItem.js";

async function getMainMenuItems() {
    return [
        // 内部标签
        new MenuItem({
            id: 'ProductAndCases',
            title: '产品案例',
            iconSrc: require("../assets/MenuIcons/Main/ProductAndCases1.png"),
            iconSrcInactive: require("../assets/MenuIcons/Main/ProductAndCases2.png"),
            routerName: 'ProductAndCases',
        }),
        // 内部标签
        new MenuItem({
            id: 'Solutions',
            title: '解决方案',
            iconSrc: require("../assets/MenuIcons/Main/Solutions1.png"),
            iconSrcInactive: require("../assets/MenuIcons/Main/Solutions2.png"),
            routerName: 'Solutions',
        }),
        // 内部标签
        new MenuItem({
            id: 'Demonstrations',
            title: '演示方案',
            iconSrc: require("../assets/MenuIcons/Main/Demonstrations1.png"),
            iconSrcInactive: require("../assets/MenuIcons/Main/Demonstrations2.png"),
            routerName: 'Demonstrations',
        }),
        // 内部标签
        new MenuItem({
            id: 'SalesResources',
            title: '销售资源',
            iconSrc: require("../assets/MenuIcons/Main/SalesResources1.png"),
            iconSrcInactive: require("../assets/MenuIcons/Main/SalesResources2.png"),
            routerName: 'SalesResources',
        }),
        // 内部标签
        new MenuItem({
            id: 'PersonalSpace',
            title: '个人空间',
            iconSrc: require("../assets/MenuIcons/Main/PersonalSpace1.png"),
            iconSrcInactive: require("../assets/MenuIcons/Main/PersonalSpace2.png"),
            routerName: 'PersonalSpace',
        }),
        // popover
        new MenuItem({
            id: 'More',
            title: '更多',
            iconSrc: require("../assets/MenuIcons/Main/More1.png"),
            iconSrcInactive: require("../assets/MenuIcons/Main/More2.png"),
            // routerName: 'More',
        }),
    ]
}

async function getSecondaryMenuItems() {
    return [
        // 抽屉
        new MenuItem({
            id: 'QuickFavorites',
            title: '快捷收藏',
            iconSrc: require("../assets/MenuIcons/Secondary/QuickFavorites.png"),
            // routerName: 'QuickFavorites',
            drawerName: 'QuickFavorites'
        }),
        // 内部标签
        new MenuItem({
            id: 'QuickDemonstrations',
            title: '快捷演示方案',
            iconSrc: require("../assets/MenuIcons/Secondary/QuickDemonstrations.png"),
            routerName: 'QuickDemonstrations',
        }),
        // 抽屉
        new MenuItem({
            id: 'Clients',
            title: '客户列表',
            iconSrc: require("../assets/MenuIcons/Secondary/Clients.png"),
            // routerName: 'Clients',
            drawerName: 'Clients'
        }),
        // 抽屉
        new MenuItem({
            id: 'Partners',
            title: '合作伙伴',
            iconSrc: require("../assets/MenuIcons/Secondary/Partners.png"),
            // routerName: 'Partners',
            drawerName: 'Partners'
        }),
        // 抽屉
        new MenuItem({
            id: 'PersonalComputer',
            title: '我的电脑',
            iconSrc: require("../assets/MenuIcons/Secondary/PersonalComputer.png"),
            // routerName: 'PersonalComputer',
            drawerName: 'PersonalComputer'
        }),
        // 内部标签
        new MenuItem({
            id: 'CloudDesktop',
            title: '云桌面',
            iconSrc: require("../assets/MenuIcons/Secondary/CloudDesktop.png"),
            routerName: 'CloudDesktop',
        }),
    ]
}

export default {
    getMainMenuItems,
    getSecondaryMenuItems
};